Name: foo2zjs
Version: 20060523
Release: alt0.1.M30.1

Summary: ZJS (some HP/Minolta) printer driver
License: GPL plus proprietary
Group: System/Kernel and hardware

Url: http://foo2zjs.rkkda.com
Source: %url/%name.tar.gz
Patch1: %name.make.patch
Patch2: foo2zjs-20060523-alt-makefile.patch
Patch3: foo2zjs-20060416-alt-hotplug.patch
Packager: Denis Smirnov <mithraen@altlinux.ru>

PreReq: printer-drivers-utils

# Automatically added by buildreq on Wed May 11 2005 (-bi)
BuildRequires: ghostscript-classic ghostscript-common ghostscript-module-X ghostscript-utils groff-base libgimp-print psutils
BuildRequires: groff-ps
BuildRequires: foomatic-filters

%def_without foomaticdb

%description
This package contains %name drivers for printers using ZjStream
wire protocol, including:

* Minolta/QMS magicolor 2300, 2200
* Konica Minolta magicolor 2430 DL
* Minolta Color PageWorks/Pro L
* HP LaserJet 1000/1005/1018/1020/1022
* HP Color LaserJet 2600n (foo2hp)

and OAKT protocol printers like:

* HP LaserJet 1500 (foo2oak)

Please note that while most of the code is GPLed, foo2oak
doesn't have full source provided yet (see website).

%prep
%setup -q -n %name
%patch2 -p1
%patch3 -p1

%build
%make CFLAGS="%optflags"

%install
# need to prepare these by hand
mkdir -p %buildroot{/bin,%_bindir,%_datadir/cups/model}
mkdir -p %buildroot%_datadir/foomatic/db/source/{driver,opt,printer}
mkdir -p %buildroot%_sysconfdir/udev/rules.d
%make \
	DESTDIR=%buildroot \
	PREFIX=%buildroot%_usr \
	FOODB=%buildroot%_datadir/foomatic/db/source \
	MODEL=%buildroot%_datadir/cups/model \
	install install-hotplug

#install -pD -m755 hplj1000 %buildroot%_sysconfdir/hotplug/usb/hplj1000
#ln -s hplj1000 %buildroot%_sysconfdir/hotplug/usb/hplj1005
#ln -s hplj1000 %buildroot%_sysconfdir/hotplug/usb/hplj1020

#install -pD -m644 hplj10xx.rules %buildroot%_sysconfdir/udev/rules.d/11-hplj10xx.rules
#cat >> %_sysconfdir/hotplug/usb/foo2zjs.usermap << EOF
#hplj1020 0x0003 0x03f0 0x2b17 0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
#hplj1005 0x0003 0x03f0 0x1317 0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
#hplj1000 0x0003 0x03f0 0x0517 0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
#EOF

rm -rf %buildroot%_docdir/%name/

%post
%_bindir/update-printers-db

%postun
%_bindir/update-printers-db

%files
%doc COPYING ChangeLog INSTALL README manual.pdf 
%doc getweb
%_man1dir/*
%_bindir/*
/bin/*
%_sysconfdir/hotplug/usb/*
%_sysconfdir/udev/rules.d/*
%dir %_datadir/%name/
%_datadir/%name/crd/
%_datadir/%name/firmware/
%_datadir/%name/*.ps
%_datadir/%name/icm/
%_datadir/foo2hp/
%_datadir/foomatic/db/source/*/*
%_datadir/cups/model/*

# due to file conflicts with foomatic-db
%if_without foomaticdb
%exclude %_datadir/foomatic/db/source/driver/foo2oak.xml
%exclude %_datadir/foomatic/db/source/driver/foo2zjs.xml
%exclude %_datadir/foomatic/db/source/opt/foo2zjs-ColorMode.xml
%exclude %_datadir/foomatic/db/source/opt/foo2zjs-Copies.xml
%exclude %_datadir/foomatic/db/source/opt/foo2zjs-Duplex.xml
%exclude %_datadir/foomatic/db/source/opt/foo2zjs-ICM.xml
%exclude %_datadir/foomatic/db/source/opt/foo2zjs-Intent.xml
%exclude %_datadir/foomatic/db/source/opt/foo2zjs-Nup.xml
%exclude %_datadir/foomatic/db/source/opt/foo2zjs-PageSize.xml
%exclude %_datadir/foomatic/db/source/opt/foo2zjs-PrinterType.xml
%exclude %_datadir/foomatic/db/source/opt/foo2zjs-Resolution.xml
%exclude %_datadir/foomatic/db/source/printer/Generic-OAKT_Printer.xml
%exclude %_datadir/foomatic/db/source/printer/HP-Color_LaserJet_1500.xml
%exclude %_datadir/foomatic/db/source/printer/HP-LaserJet_1000.xml
%exclude %_datadir/foomatic/db/source/printer/HP-LaserJet_1005.xml
%exclude %_datadir/foomatic/db/source/printer/HP-LaserJet_1022.xml
%exclude %_datadir/foomatic/db/source/printer/Minolta-magicolor_2430_DL.xml
%endif

# TODO:
# - use system libjbigkit and icc2ps, if ever available
# - seperate foo2oak into seperate proprietary package?
# - figure out what to fo with foomatic-db (at least HP1020
#   description is missing there in 3.0's one)
# - send updated patch to author (again)

%changelog
* Wed May 24 2006 Michael Shigorin <mike@altlinux.org> 20060523-alt0.1.M30.1
- 20060523 tarball
  + should support HP LaserJet 1018 and 1022
- updated patch2
- excluded HP1022 PPD (conflicts with foomatic-db-3.0.2-alt1.20050404)

* Wed Apr 19 2006 Michael Shigorin <mike@altlinux.org> 20060416-alt0.1.M30.1
- added hotplug/udev support
- patched hotplug script and makefile to play nice to packaging
- moved usb_printerid back to /bin (as intended)

* Tue Apr 18 2006 Michael Shigorin <mike@altlinux.org> 20060416-alt0.0.M30.1
- updated to 2006-04-16 tarball (judging on ChangeLog)
- spec cleanup
  + moved actual build to %%build section
  + borrowed a couple of things from Conectiva spec
- extended makefile patch (handle athlon, fix add'l binaries installation)
- added groff-ps to buildrequires so that groff works during build
- added foo2zjs, foo2hp ICM profiles
- added PPDs
- exclude a bunch of Foomatic XML by default since it collides
  with foomatic-db-3.0.2-alt1.20050404

* Wed May 11 2005 Denis Smirnov <mithraen@altlinux.ru> 1.59-alt1
- first build for sisyphus

